class LearningObjects::BuildController < ::ApplicationController
  include Wicked::Wizard
  before_action :set_learning_object, only: [:show, :update]

  steps :upload_attachments, :select_thumbnail

  def show
    render_wizard
  end

  def update
    @learning_object.update_attributes(learning_object_params)
    publish_learning_object if step == steps.last
    render_wizard @learning_object
  end

  private

  def set_learning_object
    @learning_object = LearningObject.unscoped.find(params[:learning_object_id])
  end

  def publish_learning_object
    @learning_object.publish
    @learning_object.save
  end

  def learning_object_params
    params[:learning_object].permit(:thumbnail, :name, :object_type_id, :description, :school_level, :language, :link, topics: [])
  end
end