class Management::ObjectTypesController < ManagementController
  before_action :set_management_object_type, only: [:edit, :update, :destroy]

  # GET /management/object_types
  # GET /management/object_types.json
  def index
    @object_types = ::ObjectType.all
  end

  # GET /management/object_types/new
  def new
    @object_type = ::ObjectType.new
  end

  # GET /management/object_types/1/edit
  def edit
  end

  # POST /management/object_types
  # POST /management/object_types.json
  def create
    @object_type = ::ObjectType.new(object_type_params)

    respond_to do |format|
      if @object_type.save
        format.html { redirect_to management_object_types_path, notice: 'Tipo de objeto criado com sucesso.' }
        format.json { render :show, status: :created, location: management_object_types_path }
      else
        format.html { render :new }
        format.json { render json: @object_type.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /management/object_types/1
  # PATCH/PUT /management/object_types/1.json
  def update
    respond_to do |format|
      if @object_type.update(object_type_params)
        format.html { redirect_to management_object_types_path, notice: 'Object type was successfully updated.' }
        format.json { render :show, status: :ok, location: management_object_types_path }
      else
        format.html { render :edit }
        format.json { render json: @object_type.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /management/object_types/1
  # DELETE /management/object_types/1.json
  def destroy
    @object_type.destroy
    respond_to do |format|
      format.html { redirect_to management_object_types_url, notice: 'Object type was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_management_object_type
      @object_type = ObjectType.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def object_type_params
      params.require(:object_type).permit(:name)
    end
end
