class ScoreUserCategory < ActiveRecord::Base
  belongs_to :score
  belongs_to :user_category

  validates_presence_of :score, :user_category, :value
  validates_uniqueness_of :user_category, scope: :score

  after_commit :calculate_reference, on: :update

  private

  def calculate_reference
    user_category.calculate_reference
  end
end
