require 'rainbow'

namespace :thumbnail do
  desc "Portal MEC thumnail task"

  task :create_missing, [:log] => [:environment] do |t, args|
    desc "Create thumbnail to all learning objects"
    include Log::Logging

    args.with_defaults(:log => STDOUT)

    Log::Logging.logger = Log::DatabaseLogger.new(args.log)
    logger.level = Log::DatabaseLogger::CREATE

    logger.info " --> Creating thumbnails"

    LearningObject.missing_thumbnail.find_each do |object|
      ThumbnailGenerateWorker.perform_async(object.attachments.first.id) unless object.attachments.blank?
    end

    logger.close
  end
end
