require 'test_helper'

class ReviewRatingTest < ActiveSupport::TestCase
  should belong_to :review
  should belong_to :rating

  should validate_presence_of(:review)
  should validate_presence_of(:rating)
  should validate_inclusion_of(:value).in_array(Array(1..5)).with_message('Review Rating must be between 1 and 5.')

  # TODO: shoulda try to insert user with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:rating).scoped_to(:review_id)
end
