require 'test_helper'

class ReviewTest < ActiveSupport::TestCase
  should have_many :review_ratings
  should have_many(:ratings).through(:review_ratings)
  should have_many :rates

  should have_many :complaints

  should belong_to :reviewable
  should belong_to :user

  should validate_presence_of(:user)
  should validate_presence_of(:reviewable)
  should validate_inclusion_of(:reviewable_type).in_array(%w(LearningObject Collection)).with_message('Only LearningObjects and Collections are reviewable.')
end
