require 'test_helper'

class TopicTest < ActiveSupport::TestCase
  should have_and_belong_to_many :learning_objects

  should have_many(:topic_relationships).with_foreign_key('parent_id')
  should have_many(:subtopics).through(:topic_relationships).source(:child)

  should have_many :topic_relationships
  should have_many(:highlights).through(:topic_highlights).source(:learning_object)

  should validate_presence_of(:name)
  should validate_uniqueness_of(:name)
end
